Redmine - Defect #6841

Projects APl doesn't allow full key auth for all actions
2010-11-05 18:13 - Eric Davis

Status: Closed Start date: 2010-09-20
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 1.0.4

Resolution: Fixed Affected version: 1.0.1
Description

Needs an accept_key_auth so full key actions can work (i.e. not HTTP basic based keys).

Simple fix but | want to have a solid test suite for this so we can reuse it as new APIs are added.

Related issues:
Related to Redmine - Defect #6447: Issues API doesn't allow full key auth for... Closed 2010-09-20

Associated revisions

Revision 4441 - 2010-11-27 17:26 - Jean-Philippe Lang
Accept key auth for ProjectsController#create (#6841).

Revision 4442 - 2010-11-27 17:32 - Jean-Philippe Lang
Accept key auth for ProjectsController#update (#6841).

Revision 4443 - 2010-11-27 17:37 - Jean-Philippe Lang
Accept key auth for ProjectsController#destroy (#6841).

Revision 4444 - 2010-11-27 17:41 - Jean-Philippe Lang
Accept key auth for ProjectsController#show (#6841).

History

#1 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

| am stepping down from working on Redmine. |f someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#2 - 2010-11-27 17:37 - Jean-Philippe Lang
- Status changed from 7 to Closed
- Target version set to 1.0.4

- Resolution set to Fixed

Committed in r4441 to r4444 and merged in 1.0-stable.

2025-05-17

1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/4441
https://www.redmine.org/projects/redmine/repository/svn/revisions/4444
http://www.tcpdf.org

